<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="regitroForm">
             <br/><br/>
              <h:outputText 
                  value="Pallet -> Detalle" 
                style="font-weight: bold"/> 
            <br/><br/>

            <p:dataTable
                id="listado"
                value="#{palletMB.todos}"
                var="registros"
                paginator="true"
                rows="10"
                style="font-size: small; width: 100%"
                emptyMessage="No se encontraron Registros"
                paginatorPosition="bottom">
                <f:facet name="header">
                    Registros
                    <p:commandButton 
                        id="btnAddEmp"  
                        update ="listado"
                        value="Nuevo"
                        title="Nuevo Registro"
                        icon="ui-icon-circle-plus"
                        style="display:inline; float:right; font-size:100%; "
                        onclick="PF('Anexarregistro').show();" />
                </f:facet>
                <p:column
                    sortBy="#{registros.id}"
                    filterMatchMode="contains"
                    width="12%"
                    style="font-size: small"
                    filterBy="#{registros.id}">
                    <f:facet name="header">ID</f:facet>
                    <h:outputText value="#{registros.id}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.cajas}"
                    filterMatchMode="contains"
                    width="12%"
                    style="font-size: small"
                    filterBy="#{registros.cajas}">
                    <f:facet name="header"># CAJAS</f:facet>
                    <h:outputText value="#{registros.cajas}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.tarima}"
                    filterMatchMode="contains"
                    width="12%"
                    style="font-size: small"
                    filterBy="#{registros.tarima}">
                    <f:facet name="header">CAT.TARIMA</f:facet>
                    <h:outputText value="#{registros.tarima}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.marca}"
                    filterMatchMode="contains"
                    width="12%"
                    style="font-size: small"
                    filterBy="#{registros.marca}">
                    <f:facet name="header">CAT MARCA</f:facet>
                    <h:outputText value="#{registros.marca}"/>
                </p:column>
                 
                <p:column
                    sortBy="#{registros.transporte}"
                    filterMatchMode="contains"
                    width="12%"
                    style="font-size: small"
                    filterBy="#{registros.transporte}">
                    <f:facet name="header">TRANSPORTE</f:facet>
                    <h:outputText value="#{registros.transporte}"/>
                </p:column> 
                
                <p:column  
                    style="font-size: small" 
                    width="18%"
                    headerText="Acciones">
                    <p:commandButton
                        onclick="PF('Editarregistro').show();"
                        title="Editar datos"
                        value="Editar"
                        icon="ui-icon-pencil"
                        update=":detalleEditar"
                        actionListener="#{palletMB.seleccionEditar(registros)}">
                        <f:setPropertyActionListener
                            value="#{registros}"
                            target="#{palletMB.registroSeleccionado}" />
                    </p:commandButton>
                     
                    <p:commandButton value="Borrar" actionListener="#{palletMB.borrarRegistro(registros)}" 
                                     update="listado" 
                                     icon="ui-icon-scissors"
                        style="display:inline;float:left;width: 100px; font-size: 100%"
                        immediate="true">                                            
                        <p:confirm header="Confirmación" message="Es de acuerdo en borrar este registro?" icon="ui-icon-alert" />
                    </p:commandButton>
                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                        <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check"  style="font-size: 100%"/>
                        <p:spacer width="20" height="10" /> 
                        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" style="font-size: 100%" />
                    </p:confirmDialog> 
                 </p:column>
            </p:dataTable>
        </h:form>
    </ui:define> 
    
    <ui:define name="outLayoutPart" >     
        <ui:include src="Editar.xhtml" />     
        <ui:include src="Anexar.xhtml" />      
    </ui:define>
</ui:composition>   
